View Issue Details

IDProjectCategoryView StatusLast Update
0022093mantisbtadministrationpublic2017-12-30 18:36
ReporterZazzarimAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.3.4 
Target Version2.9.1Fixed in Version2.9.1 
Summary0022093: Reporter can´t change status of a bug
Description

Reporters are not allowed to change the head of a bug note after submitting it.
In configuration I set $update_bug_threshold to DEVELOPER and above.
But now reporters can´t change the status e.g. from RESOLVED back to ASSIGNED. By workflow configuration it should be possible.
Now i set $update_bug_status_threshold to REPORTER and above. But this has no effect because bug_update.php line 154 uses access_ensure_bug_level( config_get( 'update_bug_threshold' ), $f_bug_id ); instead of access_ensure_bug_level( config_get( 'update_bug_status_threshold' ), $f_bug_id );
If I change this php file everything works fine for me.

TagsNo tags attached.

Relationships

related to 0016376 closeddregad Not able to change status without having update issue rights 
related to 0023719 closedvboctor The reporter can not solve or close the issue 
related to 0021393 closedvboctor When disable "Update an issue", then "Assign to" become access deined. 

Activities

Zazzarim

Zazzarim

2016-12-30 01:52

reporter  

mantis_conf.jpg (703,248 bytes)
jascheri

jascheri

2017-02-07 12:46

reporter   ~0055558

I am also having this issue with version 2.1.0

I would like to allow various roles to work within the workflow (assigning, changing status, etc.) but I do not want users below manager to be able to update an issue.

jascheri

jascheri

2017-02-07 15:45

reporter   ~0055562

NOTE: The fix in the description worked for me too.

vboctor

vboctor

2017-12-12 23:36

manager   ~0058382

PR: https://github.com/mantisbt/mantisbt/pull/1254

Related Changesets

MantisBT: master-2.9 bf1f02f7

2017-12-12 23:24:40

vboctor

Details Diff
Fix access checks for assign and change status

- Users should be able to assign issues even if they can’t update issues.
- Users should be able to change status even if they can’t update issues.

Fixes 0021393, 0022093
mod - bug_update.php Diff File

Issue History

Date Modified Username Field Change
2016-12-30 01:52 Zazzarim New Issue
2016-12-30 01:52 Zazzarim File Added: mantis_conf.jpg
2016-12-30 04:33 atrol Relationship added related to 0016376
2017-02-07 12:46 jascheri Note Added: 0055558
2017-02-07 15:45 jascheri Note Added: 0055562
2017-10-13 13:03 atrol Relationship added related to 0021393
2017-12-12 23:20 vboctor Assigned To => vboctor
2017-12-12 23:20 vboctor Status new => assigned
2017-12-12 23:20 vboctor Target Version => 2.9.1
2017-12-12 23:36 vboctor Note Added: 0058382
2017-12-13 02:55 vboctor Relationship added related to 0023719
2017-12-23 00:34 vboctor Changeset attached => MantisBT master-2.9 bf1f02f7
2017-12-23 00:34 vboctor Status assigned => resolved
2017-12-23 00:34 vboctor Resolution open => fixed
2017-12-23 04:32 atrol Fixed in Version => 2.9.1
2017-12-30 18:36 vboctor Status resolved => closed